package com.yeejoin.amos.boot.module.statistics.api.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yeejoin.amos.boot.biz.common.dto.CountDto;
import com.yeejoin.amos.boot.module.common.api.dto.DPFilterParamDto;
import com.yeejoin.amos.boot.module.common.api.entity.AlertStatistics;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Mapper 接口
 *
 * @author system_generator
 * @date 2023-11-02
 */
@Mapper
public interface AlertStatisticsMapper extends BaseMapper<AlertStatistics> {

    AlertStatistics getStatisticsMessage(@Param("orgCode") String orgCode, @Param("startDate") String startDate, @Param("endDate") String endDate);

    AlertStatistics statisticsInfoByRegionAndDate(@Param("regionCode") String regionCode, @Param("startDate") String startDate, @Param("endDate") String endDate);

    Long countProblemByTypeDateAndOrgCode(@Param("problemType") String problemType, @Param("dto") DPFilterParamDto params, @Param("orgCode") String orgCode);

    String getOrgCodeByCompanyCode(String cityCode);

    Long countEmergencyEventsByOrgCodeAndDate(@Param("orgCode") String orgCode, @Param("dto") DPFilterParamDto filterParamDto);

    List<CountDto>countEmergencyEventsByOrgCodeAndDate2(@Param("orgCode") String orgCode, @Param("dto") DPFilterParamDto filterParamDto);

    /**
     * 统计被困人数
     * @param orgCode 区域对应的orgCode
     * @param filterParamDto 日期
     * @return 被困人数
     */
    Long countRescuedPersonNum(@Param("orgCode") String orgCode, @Param("dto") DPFilterParamDto filterParamDto);
}
